Tryton - Issues

 

Message44551

Author MR
Recipients
Date 2018-10-24.06:43:56
Content
On clicking Financial - Reporting - Journal Cash Tryton 5.0 GTK and web client crash:

ERROR:tryton.common.common:Traceback (most recent call last):
  File "/trytond/model/modelstorage.py", line 1234, in __getattr__
    field = self._fields[name]
KeyError: 'credit_account'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 73, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 46, in rpc
    request, database_name, *request.rpc_params)
  File "/wrapt/wrappers.py", line 523, in __call__
    args, kwargs)
  File "/trytond/wsgi.py", line 44, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 122, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 176, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/model/modelsql.py", line 827, in read
    getter_results = field.get(ids, cls, field_list, values=result)
  File "/trytond/model/fields/function.py", line 102, in get
    return call(names)
  File "/trytond/model/fields/function.py", line 96, in call
    return method(records, name)
  File "/trytond/modules/account/journal.py", line 135, in get_debit_credit_balance
    if journal.credit_account else None)
  File "/trytond/model/modelstorage.py", line 1236, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "account.journal,3" has no attribute "credit_account"

"account.journal,3" has no attribute "credit_account"
ERROR:tryton.common.common:Traceback (most recent call last):
  File "/trytond/model/modelstorage.py", line 1234, in __getattr__
    field = self._fields[name]
KeyError: 'credit_account'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 73, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 46, in rpc
    request, database_name, *request.rpc_params)
  File "/wrapt/wrappers.py", line 523, in __call__
    args, kwargs)
  File "/trytond/wsgi.py", line 44, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 122, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 176, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/model/modelsql.py", line 827, in read
    getter_results = field.get(ids, cls, field_list, values=result)
  File "/trytond/model/fields/function.py", line 102, in get
    return call(names)
  File "/trytond/model/fields/function.py", line 96, in call
    return method(records, name)
  File "/trytond/modules/account/journal.py", line 135, in get_debit_credit_balance
    if journal.credit_account else None)
  File "/trytond/model/modelstorage.py", line 1236, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "account.journal,3" has no attribute "credit_account"

"account.journal,3" has no attribute "credit_account"
History
Date User Action Args
2018-10-24 06:43:57MRsetmessageid: <1540356237.27.0.421570040634.issue7808@tryton.org>
2018-10-24 06:43:57MRlinkissue7808 messages
2018-10-24 06:43:56MRcreate

Showing 10 items. Show all history (warning: this could be VERY long)